## qterminal 0.6.0%2B20160104

=== debian/changelog ===
qterminal (0.6.0+20160104-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Cherry-picking upstream version 0.6.0+20160104.
  * Fixed copyright for 2016, added Peter Mattern 
  * Fixed 'possible-unindented-list-in-extended-description'

  [ Peter Mattern ]
  * Adjust control file

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Jan 2016 21:24:39 +0100

qterminal (0.6.0+20151227-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.6.0+20151227.
  * Removed dbg package in favor of dbgsym.
  * Fixied debian/docs
  * Simplifed debian/rules
  * Renamed debian/qterminal.manpages to debian/manpages

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 17:57:04 +0100

qterminal (0.6.0+20150802-2) unstable; urgency=medium

  * Change x-terminal-emulator alternative priority to 40. (Closes: #802430)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 20 Oct 2015 20:41:43 +0800

qterminal (0.6.0+20150802-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian packaging
  * improvements in debian $foo
  * Cherry-picking upstream version 0.6.0+20150802.
  * Changed mail address czchen

  [ Andrew Lee (李健秋) ]
  * Adding upstream version 0.6.0.

  [ ChangZhuo Chen (陳昌倬) ]
  * Initial release (Closes: #741173)
  * Cleanup debian $foo:
    - Add qterminal-dbg
    - Add watch
    - Add qterminal manpage
    - Add local-options
    - Update control
    - Install manpage
    - Remove lintian-overrides
    - Update description
    - Update copyright
    - Update rules, add linker flags

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Sep 2015 10:14:08 +0800
