=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libqtermwidget5-0-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qterminal.git
Homepage: https://github.com/lxde/qterminal

Package: qterminal
Provides: x-terminal-emulator
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Lightweight Qt terminal emulator
 QTerminal is a lightwight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.
