## qterminal 0.6.0+20160104

=== debian/watch ===
version=3
https://github.com/qterminal/qterminal/releases .*/v?(\d\S*)/qterminal-(?:\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
