=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cmake (>= 3.0.2),
-               libqtermwidget5-0-dev,
+               libqtermwidget5-0-dev (>= 0.6.1~),
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/qterminal.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git -b debian/sid
 Homepage: https://github.com/lxde/qterminal
 
 Package: qterminal
