=== debian/control ===
Source: qterminal
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               libqtermwidget5-0-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools,
               qtbase5-private-dev
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/qterminal.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qterminal.git -b debian/sid
Homepage: https://github.com/lxde/qterminal

Package: qterminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightwight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.
