## qterminal 0.8.0

=== debian/changelog ===
qterminal (0.8.0-4) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 17:56:14 +0100

qterminal (0.8.0-3) unstable; urgency=medium

  * Transition to unstable

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Dec 2017 19:14:51 +0100

qterminal (0.8.0-2) experimental; urgency=medium

  * Patched appdata and metainfo-path again 

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Nov 2017 03:00:28 +0100

qterminal (0.8.0-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.8.0.
  * Switched to experimental
  * Bumped Standards to 4.1.1
  * Bumped libqtermwidget5-0-dev to >= 0.8.0 
  * Added dependency libutf8proc-dev
  * Bumped lxqt-build-tools to >= 0.4.0
  * Fixed copyright
  * Dropped appdata-patch, applied upstream

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Oct 2017 01:47:22 +0200
