=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh ${@} --buildsystem cmake\
-		--parallel
+	dh ${@} --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure --\
+		-DPULL_TRANSLATIONS=OFF\
+		-DUPDATE_TRANSLATIONS=OFF\
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
