=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/qterminal/releases .*/qterminal-([\d\.]+).tar.xz
