=== debian/changelog ===
qterminal (0.9.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:18:11 -0700

qterminal (0.9.0-3) unstable; urgency=medium

  * Fixed typo in long description
    Nice catch, thanks annadane <fjfj109@protonmail.com>
    (Closes: #901565)

 -- Alf Gaida <agaida@siduction.org>  Sat, 16 Jun 2018 00:50:09 +0200

qterminal (0.9.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.9.0.
  * Bumped build dependency libqtermwidget5-0-dev to >= 0.9.0~
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Removed not needed build dependency qtbase5-private-dev
  * Refreshed metadata patch

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 01:56:48 +0200

qterminal (0.8.0-5) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 19:20:40 +0200
