=== debian/control ===
Source: qterminal
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5windowsystem-dev,
               libqtermwidget5-0-dev (>= 0.9.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libutf8proc-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.5.0~),
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
Vcs-Git: https://salsa.debian.org/lxqt-team/qterminal.git
Homepage: https://github.com/lxqt/qterminal

Package: qterminal
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qterminal-l10n
Provides: x-terminal-emulator
Description: Lightweight Qt terminal emulator
 QTerminal is a lightweight terminal emulator based on QTermWidget.
 .
 Among other it features
   * Split terminals (horizontally and vertically).
   * Multiple tabs.
   * Customizable shortcuts.
   * Various color schemes.
