## qterminal 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,31 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(qterminal)
 
 include(GNUInstallDirs)
 
 # qterminal version
-set(STR_VERSION "0.9.0")
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
-set(QTERMWIDGET_MINIMUM_VERSION "0.9.0")
+set(QTERMINAL_VERSION "0.14.1")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
 # we need qpa/qplatformnativeinterface.h for global shortcut
-find_package(Qt5Gui REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-if(APPLE)
-elseif(UNIX)
-    find_package(Qt5X11Extras REQUIRED)
-    find_package(Qt5DBus)
+
+# Minimum Versions
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.14.1")
+set(QT_MINIMUM_VERSION "5.7.1")
+
+find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+if(UNIX)
+    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+    find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
 endif()
 find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -46,8 +49,7 @@
 endif()
 
 add_definitions(
-    -DSTR_VERSION=\"${STR_VERSION}\"
-    -DQT_NO_FOREACH
+    -DQTERMINAL_VERSION=\"${QTERMINAL_VERSION}\"
 )
 
 set(EXE_NAME qterminal)
@@ -65,6 +67,7 @@
     src/bookmarkswidget.cpp
     src/fontdialog.cpp
     src/dbusaddressable.cpp
+    src/tab-switcher.cpp
 )
 
 set(QTERM_MOC_SRC
@@ -77,8 +80,8 @@
     src/propertiesdialog.h
     src/bookmarkswidget.h
     src/fontdialog.h
-)
-
+    src/tab-switcher.h
+)
 
 if (Qt5DBus_FOUND)
     add_definitions(-DHAVE_QDBUS)
@@ -125,14 +128,6 @@
         ${QTERM_UI_SRC}
         ${QTERM_MOC_SRC}
     TRANSLATION_DIR "src/translations"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
 
 include_directories(
@@ -155,12 +150,12 @@
 
     # create Info.plist file
     set(MACOSX_BUNDLE_ICON_FILE qterminal.icns)
-    set(MACOSX_BUNDLE_INFO_STRING "QTerminal ${STR_VERSION}")
+    set(MACOSX_BUNDLE_INFO_STRING "QTerminal ${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.qterminal")
-    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${STR_VERSION}")
+    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_BUNDLE_NAME "${EXE_NAME}")
-    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${STR_VERSION}")
-    set(MACOSX_BUNDLE_BUNDLE_VERSION "${STR_VERSION}")
+    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${QTERMINAL_VERSION}")
+    set(MACOSX_BUNDLE_BUNDLE_VERSION "${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek &lt;petr@yarpen.cz&gt;")
 
     set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns"
@@ -181,6 +176,16 @@
     ${APPLE_BUNDLE_SOURCES}
     ${QTERM_QM}
 )
+
+target_compile_definitions(${EXE_NAME}
+    PRIVATE
+        "QT_USE_QSTRINGBUILDER"
+        "QT_NO_CAST_FROM_ASCII"
+        "QT_NO_CAST_TO_ASCII"
+        "QT_NO_URL_CAST_FROM_STRING"
+        "QT_NO_CAST_FROM_BYTEARRAY"
+)
+
 target_link_libraries(${EXE_NAME}
     Qt5::Gui
     qtermwidget5
