=== src/translations/CMakeLists.txt ===
project(qterminal)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")
