=== debian/changelog ===
qterminal (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.1.
  * Bumped minimum versions libqtermwidget5-0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 03:09:41 +0100

qterminal (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Added CC0 for qterminal.appdata.xml
  * Bumped minimum versions libqtermwidget5-0-dev (>= 0.14.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 22:06:09 +0100
