## qterminal 0.15.0

=== debian/changelog ===
qterminal (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper-compat.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:24:55 -0500

qterminal (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.
  * Drop fix-memory-api.patch, which causes crashes.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 15:56:11 -0600

qterminal (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add new qterminal-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:12:04 -0600

qterminal (0.9.0-3ubuntu3) cosmic; urgency=medium

  * The preferences menu should never be larger than the screen (LP: #1784198).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 29 Jul 2018 15:04:10 -0500

qterminal (0.9.0-3ubuntu2) cosmic; urgency=medium

  * Remember the maximization state of the window (LP: #1754496).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Jul 2018 05:25:18 -0500

qterminal (0.9.0-3ubuntu1) cosmic; urgency=medium

  * Update the maintainer and Vcs-* for maintaining in Lubuntu.
  * Add patch adapting to API changes in qtermwidget, and bump the
    dependencies accordingly.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 10 Jul 2018 22:34:17 -0500
