## qterminal 0.16.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,23 +9,29 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "0.14.1")
+set(QTERMINAL_VERSION "0.16.1")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
+if(APPLE)
+    option(APPLEBUNDLE "Build as qterminal.app bundle" ON)
+endif()
+
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QTERMWIDGET_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.16.1")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
 if(UNIX)
     find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
-    find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+    if (NOT APPLE)
+        find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+    endif (NOT APPLE)
 endif()
 find_package(QTermWidget5 ${QTERMWIDGET_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
@@ -158,11 +164,11 @@
     set(MACOSX_BUNDLE_BUNDLE_VERSION "${QTERMINAL_VERSION}")
     set(MACOSX_BUNDLE_COPYRIGHT "(c) Petr Vanek &lt;petr@yarpen.cz&gt;")
 
-    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns"
+    set_source_files_properties("${CMAKE_CURRENT_SOURCE_DIR}/src/macosx/qterminal.icns"
         PROPERTIES MACOSX_PACKAGE_LOCATION Resources
     )
     # use icon for app bundle to be visible in finder
-    set(APPLE_BUNDLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/macosx/qterminal.icns")
+    set(APPLE_BUNDLE_SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/src/macosx/qterminal.icns")
 else()
     set(TRANSLATIONS_DIR "${CMAKE_INSTALL_FULL_DATADIR}/qterminal/translations")
     add_definitions(-DTRANSLATIONS_DIR=\"${TRANSLATIONS_DIR}\")
@@ -177,15 +183,6 @@
     ${QTERM_QM}
 )
 
-target_compile_definitions(${EXE_NAME}
-    PRIVATE
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
-)
-
 target_link_libraries(${EXE_NAME}
     Qt5::Gui
     qtermwidget5
@@ -226,7 +223,7 @@
     install(FILES ${QTERM_QM} DESTINATION ${TRANSLATIONS_DIR})
     install(FILES src/icons/qterminal.png DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps")
 else()
-    message(STATUS "APPLEBUNDLE")
+    message(STATUS "Building qterminal.app bundle")
 
     install(CODE "message(STATUS \"Cleaning previously installed bundle (rm -r)\")")
     install(CODE "execute_process(COMMAND rm -r ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app)")
@@ -245,5 +242,10 @@
     install(CODE "message(STATUS \"Bundling (cp) keytab files from ${QTERMWIDGET_SHARE}/qtermwidget/\")")
     install(CODE "execute_process(COMMAND cp -r ${QTERMWIDGET_SHARE}/qtermwidget/ ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources)")
 
-    install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/translations)
-endif()
+    install(FILES ${QTERM_QM} DESTINATION ${CMAKE_INSTALL_PREFIX}/${EXE_NAME}.app/Contents/Resources/translations)
+
+    # Workaround https://bugreports.qt.io/browse/QTBUG-63324
+    add_custom_command(TARGET ${EXE_NAME} POST_BUILD
+        COMMAND "${CMAKE_COMMAND}" -E touch "${CMAKE_CURRENT_BINARY_DIR}/${EXE_NAME}.app/Contents/Resources/empty.lproj"
+        COMMENT "Creating Resources/empty.lproj")
+endif()
