=== debian/changelog ===
qterminal (0.16.1-1ubuntu1) hirsute; urgency=low

  [ Raman Sarda ]
  * New upstream version. Merge from debian unstable.
  * Tighten debhelper-compat requirement.
  * Updated copyrights.
  * Updated upstream signing key.
  * Added upstream metadata.
  * Updated upstream patch.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 01:50:32 +0530

qterminal (0.16.1-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * Update debian/upstream/signing-key.asc
  * New upstream version 0.16.1. Closes: #959963
  * Refresh patch
  * Update minimal required versions of libqtermwidget5-0-dev and
    lxqt-build-tools
  * Bump Standard-Version to 4.5.0

  [ Raphaël Hertzog ]
  * Refer to common license file for CC0-1.0.
  * Fix field name typo in debian/upstream/metadata (Repository-Browser =>
    Repository-Browse).
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 16 Dec 2020 15:06:50 +0100
