=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
+               libqtermwidget5-0-dev (>= 0.16.1~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqtermwidget5-0-dev (>= 0.15.0),
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.7.0)
+               lxqt-build-tools (>= 0.8.0~)
 Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/qterminal/
 Vcs-Git: https://phab.lubuntu.me/source/qterminal.git
