## qterminal 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include(GNUInstallDirs)
 
 # qterminal version
-set(QTERMINAL_VERSION "0.16.1")
+set(QTERMINAL_VERSION "0.17.0")
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
@@ -20,8 +20,8 @@
 # we need qpa/qplatformnativeinterface.h for global shortcut
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
-set(QTERMWIDGET_MINIMUM_VERSION "0.16.1")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(QTERMWIDGET_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Gui ${QT_MINIMUM_VERSION} REQUIRED)
@@ -38,6 +38,7 @@
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtTranslateTs)
+include(LXQtTranslateDesktop)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 message(STATUS "Qt version: ${Qt5Core_VERSION}")
 
@@ -136,6 +137,14 @@
     TRANSLATION_DIR "src/translations"
 )
 
+lxqt_translate_desktop(DESKTOP_FILES
+    SOURCES
+        qterminal.desktop.in
+        qterminal-drop.desktop.in
+    TRANSLATION_DIR "src/translations"
+    USE_YAML
+)
+
 include_directories(
     "${PROJECT_SOURCE_DIR}"
     "${PROJECT_SOURCE_DIR}/src"
@@ -181,6 +190,7 @@
     ${QTERM_RCC}
     ${APPLE_BUNDLE_SOURCES}
     ${QTERM_QM}
+    ${DESKTOP_FILES}
 )
 
 target_link_libraries(${EXE_NAME}
@@ -208,8 +218,7 @@
 
 
 install(FILES
-    qterminal.desktop
-    qterminal_drop.desktop
+    ${DESKTOP_FILES}
     DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
 )
