=== debian/changelog ===
qterminal (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use lxqt-build-tools 0.9.0
    - Use libqtermwidget5-0-dev 0.17.0
    - Extend qterminal-l10n package description
  * Update debian/qterminal.install
  * Update debian/patches/appdata.patch
    - Refresh patch
    - Add Forwarded: not needed
    - Add Lubuntu Developers as author
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Tue, 17 Aug 2021 10:57:16 +0200
