=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               libqtermwidget5-0-dev (>= 0.16.1~),
+               libqtermwidget5-0-dev (>= 0.17.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libutf8proc-dev,
                libx11-dev,
-               lxqt-build-tools (>= 0.8.0~)
-Standards-Version: 4.5.0
+               lxqt-build-tools (>= 0.9.0)
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/qterminal/
 Vcs-Git: https://phab.lubuntu.me/source/qterminal.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/qterminal
@@ -41,4 +41,6 @@
 Breaks: qterminal (<< 0.6.1)
 Replaces: qterminal (<< 0.6.1)
 Description: Language package for qterminal
+ The l10n files for qterminal.
+ .
  This package contains the l10n files needed by qterminal.
